package cn.com.tenlion.systembase.pojo.dtos.importantevent;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ImportantEventDTO
 * @Description: 重大事件
 * @Author: CodeFactory
 * @Date: 2021-10-11 17:21:48
 * @Version: 3.0
 **/
@ApiModel
public class ImportantEventDTO {

    @ApiModelProperty(name = "importantEventId", value = "重大事件ID")
    private String importantEventId;
    @ApiModelProperty(name = "eventName", value = "事件名称")
    private String eventName;
    @ApiModelProperty(name = "eventDate", value = "事件发生日期")
    private String eventDate;
    @ApiModelProperty(name = "eventSite", value = "发生地")
    private String eventSite;
    @ApiModelProperty(name = "eventLevelId", value = "事件分级ID")
    private String eventLevelId;
    @ApiModelProperty(name = "eventLevelText", value = "事件分级中文")
    private String eventLevelText;
    @ApiModelProperty(name = "eventTypeId", value = "事件类型ID")
    private String eventTypeId;
    @ApiModelProperty(name = "eventTypeText", value = "事件类型中文")
    private String eventTypeText;
    @ApiModelProperty(name = "eventExplain", value = "事件情况")
    private String eventExplain;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;

    public String getImportantEventId() {
        return importantEventId == null ? "" : importantEventId.trim();
    }

    public void setImportantEventId(String importantEventId) {
        this.importantEventId = importantEventId;
    }

    public String getEventName() {
        return eventName == null ? "" : eventName.trim();
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventDate() {
        return eventDate == null ? "" : eventDate.trim();
    }

    public void setEventDate(String eventDate) {
        this.eventDate = eventDate;
    }

    public String getEventSite() {
        return eventSite == null ? "" : eventSite.trim();
    }

    public void setEventSite(String eventSite) {
        this.eventSite = eventSite;
    }

    public String getEventLevelId() {
        return eventLevelId == null ? "" : eventLevelId.trim();
    }

    public void setEventLevelId(String eventLevelId) {
        this.eventLevelId = eventLevelId;
    }

    public String getEventLevelText() {
        return eventLevelText == null ? "" : eventLevelText.trim();
    }

    public void setEventLevelText(String eventLevelText) {
        this.eventLevelText = eventLevelText;
    }

    public String getEventTypeId() {
        return eventTypeId == null ? "" : eventTypeId.trim();
    }

    public void setEventTypeId(String eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getEventTypeText() {
        return eventTypeText == null ? "" : eventTypeText.trim();
    }

    public void setEventTypeText(String eventTypeText) {
        this.eventTypeText = eventTypeText;
    }

    public String getEventExplain() {
        return eventExplain == null ? "" : eventExplain.trim();
    }

    public void setEventExplain(String eventExplain) {
        this.eventExplain = eventExplain;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
